using Microsoft.AspNetCore.Http;

namespace DIMultipleImplementationOfService.Services
{
    public class ValuesServiceFactory : IValuesServiceFactory
    {
        private readonly IHttpContextAccessor _httpContextAccessor;

        public ValuesServiceFactory(IHttpContextAccessor httpContextAccessor)
        {
            _httpContextAccessor = httpContextAccessor;
        }

        public IValuesService GetValuesService()
        {
            string path = _httpContextAccessor.HttpContext.Request.Path.Value.ToString().Trim('/').ToLower();

            switch (path)
            {
                case "positivevalues":
                    return new PositiveValuesService();
                case "negativevalues":
                    return new NegativeValuesService();
                default:
                    return new PositiveValuesService();
            }

        }
    }

}
